Bug 55666 - installed hangs after tranfering image to hd and reading rpm packages
Summary: installed hangs after tranfering image to hd and reading rpm packages
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-04 12:26 UTC by David
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-08 20:04:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David 2001-11-04 12:26:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (Win98; U)

Description of problem:
Traceback (innermost last):
  File "/usr/bin/anaconda", line 620, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py" line 350, in run
     self.icw.run (self.runres, configFileData)
  File "/usr/lib/anconda/gui.py", line 778, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gty.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lig/anaconda/gui.py:, lins 497 in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 135, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/dispatch.py  line 399, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 143, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
    rc = apply(func, self,bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 554, in doInstall
    id.fsset.migratewrite(instPath)
  File "/usr/lib/anaconda/fsset.py", line 692, in migratewrite
    newline = "%-23s %-23s %-7s %-15s %s %s\n" % (fields[0],
IndexError: list index out of range

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. upgrade from 7.1 again
2.
3.
	

Actual Results:   installer stoperaffrer reading RPM packages

Expected Results:  system install

Additional info:

system was first an 4.1 install, as a continuous upgrade skiped 4.2 and 5.2 version

Comment 1 Brent Fox 2001-11-06 04:37:17 UTC
Was there more to the traceback?  It seems like there should have been more data
there.

Comment 2 David 2001-11-06 04:52:14 UTC
that was the entire traceback
I did a new install on the previus box, so will not be able to reproduce it
but I have 2 other boxes which are of the same upbringing I will be upgradine 
them shortly

Comment 3 David 2001-11-06 23:26:29 UTC
On this I read this may occur in some systems where links to /tmp are symbolic
on all my system /tmp has been mover to a different partition, 
this may, as least give yuou someting to go by

Comment 4 Brent Fox 2001-11-07 19:55:20 UTC
Yes, if /tmp is a symlink, this will cause the installer trouble.

Comment 5 Brent Fox 2001-11-07 19:55:58 UTC
msf, you've dealt with this in the past.  What would you recommend to him?

Comment 6 Brent Fox 2001-11-08 20:04:44 UTC
Can you attach your /etc/fstab file and the output of 'ls -l /'?

Comment 7 Brent Fox 2001-11-19 17:58:31 UTC
Closing due to inactivity.  Please reopen if you have more information.


Note You need to log in before you can comment on or make changes to this bug.